[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomCoolBar.DoFontChanged

Calculates the text height and width in each of the bands when the font has been changed.

## Declaration

Source position: comctrls.pp line 2618

`protected procedure TCustomCoolBar.DoFontChanged;`

## Description

Uses the Canvas to get the text height for the control. No actions are performed in the method if the handle has not been allocated for the control Canvas.

Calls the CalcTextWidth method for each of the Bands on the control.